import { BaseParamType } from './_Base';
import { TypedPathParam } from './_BasePath';
import { BaseNodeType } from '../nodes/_Base';
import { ParamType } from '../poly/ParamType';
import { ParamValuesTypeMap } from './types/ParamValuesTypeMap';
import { ParamInitValuesTypeMap } from './types/ParamInitValuesTypeMap';
export declare class ParamPathParam extends TypedPathParam<ParamType.PARAM_PATH> {
    static type(): ParamType;
    initialize_param(): void;
    get default_value_serialized(): string;
    get raw_input_serialized(): string;
    get value_serialized(): string;
    protected _copy_value(param: ParamPathParam): void;
    static are_raw_input_equal(raw_input1: ParamInitValuesTypeMap[ParamType.PARAM_PATH], raw_input2: ParamInitValuesTypeMap[ParamType.PARAM_PATH]): boolean;
    static are_values_equal(val1: ParamValuesTypeMap[ParamType.PARAM_PATH], val2: ParamValuesTypeMap[ParamType.PARAM_PATH]): boolean;
    get is_default(): boolean;
    setParam(param: BaseParamType): void;
    protected process_raw_input(): void;
    protected process_computation(): Promise<void>;
    private find_target;
    private _assign_found_node;
    notify_path_rebuild_required(param: BaseParamType): void;
    notify_target_param_owner_params_updated(node: BaseNodeType): void;
}
